<?php
/*
+---------------------------------------------------------------+
|        Map Me V1.2 for e107 v0.7
|
|        A plugin for the e107 website system
|        http://www.e107.org/
|
|        Ajay Bhargav
|        http://www.rickeyworld.info
|        contact@rickeyworld.info
|
|        Released under the terms and conditions of the
|        GNU General Public License (http://gnu.org).
+---------------------------------------------------------------+
*/

	require_once("../../class2.php");
	
  // Get language file (assume that the English language file is always present)
  $lan_file = e_PLUGIN."mapme/languages/".e_LANGUAGE.".php";
  include_lan($lan_file);
	
	header("Content-type: application/x-javascript");
	
	global $pref;
	if(isset($pref['mapme_grid']))
		$grid = $pref['mapme_grid'];
	else
		$grid = 50;

	if(isset($pref['mapme_gzoom']))
		$gzoom = $pref['mapme_gzoom'];
	else
		$gzoom = 12;

		$ret = "
		function loadmap() {
			var map;
			var markers = [];
		var sizes = [53, 56, 66, 78, 90];
		var mystyle = [];
		for (var i = 1; i <= 5; ++i) {
   			mystyle.push({
			'url': \"".SITEURLBASE.e_PLUGIN_ABS."mapme/images/m\" + i + \".png\",
			'height': sizes[i - 1],
			'width': sizes[i - 1]
			});
		}

			if (GBrowserIsCompatible()) {
				var Icon = new GIcon();
				Icon.image = '".SITEURLBASE.e_PLUGIN_ABS."mapme/images/red.png';
				Icon.shadow = '".SITEURLBASE.e_PLUGIN_ABS."mapme/images/shadow.png';
				Icon.iconSize = new GSize(12, 20);
				Icon.shadowSize = new GSize(22, 20);
				Icon.iconAnchor = new GPoint(6, 20);
				Icon.infoWindowAnchor = new GPoint(5, 1);
	
				function createMarker(point, id, name, loc){
					var marker = new GMarker(point, Icon);
					GEvent.addListener(marker, 'click', function() {
						marker.openInfoWindowHtml('".MAPME_JS_007."<a href=\"".e_BASE."user.php?id.'+ id +'\"><b>'+ name +'</b></a><br />".MAPME_JS_008."'+ loc);
					});
					return marker;
				}
			
				function get_users(){
					document.getElementById('map').innerHTML = \"<span style='text-align: center; vertical-align: middle; font-weight: bold'>Loading user data...</span>\";
					var urlstr=\"".SITEURLBASE.e_PLUGIN_ABS."mapme/mapxml.php?type=user\";
					var request = GXmlHttp.create();
					//alert(urlstr);
					request.open('GET', urlstr , true);	// request XML from PHP with AJAX call
					request.onreadystatechange = function () {
						if (request.readyState == 4) {
							var xmlDoc = request.responseXML;
							var uinfo = xmlDoc.documentElement.getElementsByTagName(\"uinfo\");
							//alert(uinfo.length);
							if (uinfo.length){
								for (var i = 0; i < uinfo.length; i++) {
									var point = new GLatLng(uinfo[i].getAttribute(\"lat\"), uinfo[i].getAttribute(\"lng\"));
									var marker = createMarker(point, uinfo[i].getAttribute(\"uid\"), uinfo[i].getAttribute(\"uname\"), uinfo[i].getAttribute(\"loc\"));
									markers.push(marker);
								}
							}
							ShowMap();
							var mcOptions = { gridSize: ".$grid.", maxZoom: ".$gzoom.", styles:mystyle};
							var markerClusterer = new MarkerClusterer(map, markers, mcOptions);
						}
					}
					request.send(null);
				}
			
				////map
		
				get_users();
				function ShowMap(){
				map = new GMap2(document.getElementById('map'));
				map.setCenter(new GLatLng(25,0), 1);
				map.addControl(new GMapTypeControl(1));
				map.addControl(new GLargeMapControl());
		
				map.enableContinuousZoom();
				map.enableDoubleClickZoom();
		
				var ovSize=new GSize(100, 100);
				var ovMap=new GOverviewMapControl(ovSize);
				map.addControl(ovMap);
				var mini=ovMap.getOverviewMap();
			
				map.hideControls();
				GEvent.addListener(map, 'mouseover', function(){
					map.showControls();
				});
				GEvent.addListener(map, 'mouseout', function(){
					map.hideControls(); 
				});
			}
		}
		}";
	echo $ret;
?>