var UpdateStatus;

function doUpdate(){
	$("#noticebox").fadeOut(700, function(){
		$("#processbox").fadeIn(700, function(){
			UpdateStatus = 1;
			GetUserList();
		});
	});
}

function doCancel(){
	$("#noticebox").fadeOut(700, function(){
		$("#cancelbox").fadeIn(700);
	});
}

function doStop(){
	var answer = confirm ("You really want to cancel the update?")
	if (answer){
		UpdateStatus = 0;
		$("#updatestop").hide();
		$("#updatefinish").show();
	}
}

function doFinish(){
	$("#processbox").fadeOut(700, function(){
		$("#finishbox").fadeIn(700);
	});
}

	var i;
	var mapme_geocoder;
	var mapme_locations;
	var mapme_uid=[];
	var mapme_location=[];

	function GetLocation(uloci){
		if(UpdateStatus==0) {
			$("#step2").html("<img src=\"images/fail.png\" style='vertical-align: middle;' />");
			$("#percentText").append(" [User stopped update process]");
			return;
		}
		var percent = i*100/mapme_locations.length;
		percent = percent.toFixed(2);
		$("#percentText").html(percent+"%");
		$("#percentImage").animate({backgroundPosition: "-"+(120-(percent*1.2))+"px 50%" }, "fast");
		$("#ubox").append("User id: "+mapme_uid[uloci]+" User mapme_location: "+mapme_location[uloci]+"<span id='ustore"+uloci+"'><img src=\"images/loading.gif\" style='vertical-align: middle;' /></span><br />");
		var scrolloff = $("#ustore"+uloci).offset().top - $("#ubox").offset().top;
		$("#ubox").animate({scrollTop: "+=" + scrolloff + "px"}, 0);
		if (mapme_geocoder) {
			mapme_geocoder.getLatLng(mapme_location[uloci], function(point) {
				//alert(point);
				if (!point) {
					$("#ustore"+uloci).html("&nbsp;&nbsp;&nbsp;&nbsp;[&nbsp;<img src=\"images/fail.png\" style='vertical-align: middle;' /> Wrong/Unknown mapme_location ]");
					if(i < mapme_locations.length){
						setTimeout("GetLocation(i++)",0);
					} else {
						$("#step2").html("<img src=\"images/tick.gif\" style='vertical-align: middle;' />");
						$("#updatestop").hide();
						$("#updatefinish").show();
					}
				} else {
					$.post("storeloc.php", {userid:mapme_uid[uloci], lat:point.y, lng:point.x, loc:mapme_location[uloci] },
						function(data){
							//alert(data);
							if(data=="success"){
								$("#ustore"+uloci).html("&nbsp;&nbsp;&nbsp;&nbsp;[&nbsp;<img src=\"images/tick.gif\" style='vertical-align: middle;' /> Found & Stored ]");
							} else {
								$("#ustore"+uloci).html("&nbsp;&nbsp;&nbsp;&nbsp;[&nbsp;<img src=\"images/fail.png\" style='vertical-align: middle;' /> Error storing ]");
							}
							if(i < mapme_locations.length){
								setTimeout("GetLocation(i++)",0);
							} else {
								$("#step2").html("<img src=\"images/tick.gif\" style='vertical-align: middle;' />");
								$("#updatestop").hide();
								$("#updatefinish").show();
							}
						}
					);
				}
			});
		}
	}
 
function GetUserList(){
	$("#processmsg").append("<br /><div id=\"step1\" style='display:inline;'><img src=\"images/loading.gif\" style='vertical-align: middle;' /></div> Loading user list, Please wait...");
	$.get("mapxml.php?type=update", function(data, textStatus){
		//alert(textStatus);
		//alert(data);
		switch (textStatus){
			case "success":
				$("#step1").html("<img src=\"images/tick.gif\" style='vertical-align: middle;' />");
				$("#processmsg").append("<br /><br /><div id=\"step2\" style='display:inline;'><img src=\"images/loading.gif\" style='vertical-align: middle;' /></div>\
				 Getting a Map information from mapme_location and storing...<br />\
				<br /><b>Progress: <img title='25%' id='percentImage' src='images/percentImage.png' style='vertical-align:middle; margin: 0pt; padding: 0pt; width: 120px; height: 12px; background-position: -120px 50%; background-image: url(images/percentImage_back.png);' /> <span id='percentText'></span></b><br />\
				<br /><div style='width:95%;height:150px; overflow: auto; overflow-x: hidden; border: 1px dotted; padding-left: 5px;' id='ubox'></div>");
				mapme_locations = data.documentElement.getElementsByTagName("uloc");
				if (mapme_locations.length){
					//alert(mapme_locations.length);
					for (i = 0; i < mapme_locations.length; i++) { // cycle thru mapme_locations
						mapme_uid[i] = mapme_locations[i].getAttribute("uid")
						mapme_location[i] = mapme_locations[i].getAttribute("location");
					}
					//alert(mapme_location);
					i=0;
					mapme_geocoder = new GClientGeocoder();
					setTimeout("GetLocation(i++)",0);
					//setTimeout("GetLocation(i++)",50);
					//setTimeout("GetLocation(i++)",100);
					//setTimeout("GetLocation(i++)",150);
					//setTimeout("GetLocation(i++)",200);

					if(i >= mapme_locations.length){
						$("#step2").html("<img src=\"images/tick.gif\" style='vertical-align: middle;' />");
						$("#updatestop").hide();
						$("#updatefinish").show();
					}
				}
				break;
			default:
				$("#step2").html("<img src=\"images/fail.png\" style='vertical-align: middle;' />");
		}
	}, "xml");
}

//InitJQuery();